BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Runtime.ConstrainedExecution.CriticalFinalizerObject System.Runtime.InteropServices._Thread

Represents a sequential thread of execution.

A process can create and execute one or more threads to execute a portion of the program code associated with the process. A delegate is used to specify the program code executed by a thread.

Some operating systems might not utilize the concepts of threads or preemptive scheduling. Also, the concept of "thread priority" might not exist at all or its meaning might vary, depending on the underlying operating system. Implementers of the

type are required to describe their threading policies, including what thread priority means, how many threading priority levels exist, and whether scheduling is preemptive.

For the duration of its existence, a thread is always in one or more of the states defined by . A scheduling priority level, as defined by , can be requested for a thread, but it might not be honored by the operating system.

If an unhandled exception is thrown in the code executed by a thread created by an application, a event is raised ( is set to ), and the thread is terminated; the current process is not terminated.

- Constructor
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Constructor
  A delegate that references the methods to be invoked when the new thread begins executing.

  Constructs and initializes a new instance of the class.

  To schedule the thread for execution, call .

  Until is called, the thread's state includes .

  is .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Raises a in the thread on which it is invoked to begin the process of terminating the thread. In all but the most extraordinary situations, calling this method will terminate the thread.

  When this method is invoked on a thread, the system throws a in the thread to abort it. Invoking on a thread is similar to arranging for the target thread to throw a . Because, unlike other exceptions, a is sent to another thread, the exception might be delayed. A is required to be delayed if and while the target thread is executing any of the following:

  unmanaged code

  a catch handler

  a finally clause

  a filter clause

  a type initializer

  A thread abort proceeds as follows:

  An abort begins at the earliest of the following times:

  a. when the thread transitions from unmanaged to managed code execution;

  b. when the thread finishes the outermost currently executing catch handler;

  c. immediately if the thread is running managed code outside of any catch handler, finally clause, filter clause or type initializer

  Whenever an outermost catch handler finishes execution, the is rethrown unless the thread being aborted has called since the call to .

  When all finally blocks have been called and the thread is about to transition to any unmanaged code which executed before the first entry to managed code, is called so that a return to managed code will consider the abort to have been successfully processed.

  Unexecuted blocks are executed before the thread is aborted; this includes any finally block that is executing when the exception is thrown. The thread is not guaranteed to abort immediately, or at all. This situation can occur if a thread does an unbounded amount of computation in the finally blocks that are called as part of the abort procedure, thereby indefinitely delaying the abort. To ensure a thread has aborted, invoke on the thread after calling .

  If is called on a thread that has not been started, the thread aborts when is called. If the target thread is blocked or sleeping in managed code and is not inside any of the code blocks that are required to delay an abort, the thread is resumed and immediately aborted.

  After is invoked on a thread, the state of the thread includes . After the thread has terminated as a result of a successful call to , the state of the thread includes and .

  With sufficient permissions, a thread that is the target of a can cancel the abort using the method. For an example that demonstrates calling the method, see .

  Caller does not have security permission for the thread to be aborted. Requires permission to control the thread to be aborted. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` A that contains application-specific information, such as state, which can be used by the thread being aborted.

  Raises a in the thread on which it is invoked to begin the process of terminating the thread. In all but the most extraordinary situations, calling this method will terminate the thread.

  The object passed as the parameter can be obtained by accessing the property.

  For details on aborting threads, see ().

  Caller does not have security permission for this thread. Requires permission to control the thread to be aborted. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.LocalDataStoreSlot To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.LocalDataStoreSlot `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Threading.ApartmentState To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("Deprecated in favor of GetApartmentState, SetApartmentState and TrySetApartmentState.")
- Method
  System.Void To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Method
  System.Void To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Property
  System.Runtime.Remoting.Contexts.Context To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Globalization.CultureInfo To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Security.Principal.IPrincipal The thread's current principal. An object implementing which encapsulates information about the principal which the thread is executing on behalf of. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Threading.Thread

  Gets a instance that represents the currently executing thread.

  An instance of representing the current thread.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  get: System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Property
  System.Globalization.CultureInfo To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Void To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Property
  System.Threading.ExecutionContext To be added. To be added. To be added. 2.0.0.0 4.0.0.0 get: System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Method
  System.Void

  Releases the resources held by this instance.

  Application code does not call this method; it is automatically invoked during garbage collection.

  0
  1.0.5000.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Threading.ApartmentState To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Threading.CompressedStack To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("see CompressedStack class")
- Method
  System.Object `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.AppDomain

  Returns an object representing the application domain in which the current thread is executing.

  A object that represents the current application domain.

  To be added. 1 RuntimeInfrastructure 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.LocalDataStoreSlot `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean

  Gets a value indicating the execution status of the current thread.

  if this thread has been started, and has not terminated; otherwise, .

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets or sets a value indicating whether a thread is a background thread.

  if the thread is or is to become a background thread; otherwise, .

  The default value of this property is . The property value can be changed before the thread is started and before it terminates.

  A thread is either a background thread or a foreground thread. Background threads are identical to foreground threads except for the fact that background threads do not prevent a process from terminating. Once all foreground threads belonging to a process have terminated, the execution engine ends the process by invoking on any background threads that are still alive.

  The thread has reached the state. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Blocks the calling thread until the thread on which this method is invoked terminates.

  Use this method to ensure a thread has terminated. The caller will block indefinitely if the thread does not terminate.

  cannot be invoked on a thread that is in the state.

  This method changes the state of the calling thread to include .

  The caller attempted to join a thread that is in the state. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A containing the number of milliseconds to wait for the thread to terminate.

  Blocks the calling thread until the thread on which this method is invoked terminates or the specified time elapses.

  if the thread has terminated; if the thread has not terminated after has elapsed.

  If is specified for , this method behaves identically to (), except for the return value.

  cannot be invoked on a thread that is in the state.

  This method changes the state of the calling thread to include .

  The value of is negative and is not equal to . The caller attempted to join a thread that is in the state. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A set to the amount of time to wait for the thread to terminate. Specify milliseconds to wait indefinitely.

  Blocks the calling thread until the thread on which this method is invoked terminates or the specified time elapses.

  if the thread has terminated; if the thread has not terminated after the amount of time specified by has elapsed.

  This method converts to milliseconds, tests the validity of the converted value, and calls ().

  If milliseconds is specified for , this method behaves identically to (), except for the return value.

  cannot be invoked on a thread that is in the state.

  This method changes the state of the current thread to include .

  The value of is negative and is not equal to milliseconds, or is greater than milliseconds. The caller attempted to join a thread that is in the state. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 2.0.0.0 4.0.0.0 get: System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Void

  Guarantees that all subsequent loads or stores from the current thread will not access memory until after all previous loads and stores from the current thread have completed, as observed from this or other threads.

  To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets or sets the name of the thread.

  A containing the name of the thread, or if no name was set.

  This property is write-once. Once this property has been set to a non-null value, attempts to set this property to a new value cause an exception.

  A set operation was requested, and the property has already been set. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Threading.ThreadPriority

  Gets or sets a value indicating the scheduling priority of a thread.

  A value.

  A thread can be assigned any one of the following priority values:

  The default value is .

  Operating systems are not required to honor the priority of a thread.

  The thread is in the state. The value specified for a set operation is not a valid value. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Cancels a requested for the current thread.

  This method cannot be called by untrusted code.

  When a call is made to to destroy a thread, the system throws a . is a special exception that can be caught by application code, but is rethrown at the end of the catch block unless is called. cancels the request to abort, and prevents the from terminating the thread.

  was not invoked on the current thread. Caller does not have security permission for the current thread. Requires permission to control the current thread. See .

  For an example that demonstrates calling this method, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("")
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("see CompressedStack class")
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` A containing the number of milliseconds for which the thread is blocked. Specify zero to indicate that this thread should be suspended temporarily to allow other waiting threads to execute. Specify to block the thread indefinitely.

  Blocks the current thread for the specified number of milliseconds.

  The thread will not be scheduled for execution by the operating system for the amount of time specified. This method changes the state of the thread to include .

  The value of is negative and is not equal to . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` A set to the amount of time for which the current thread will be blocked. Specify zero to indicate that this thread should be suspended temporarily to allow other waiting threads to execute. Specify milliseconds to suspend the thread indefinitely.

  Blocks the current thread for a specified time.

  This method converts to milliseconds, tests the validity of the converted value, and calls ().

  The thread will not be scheduled for execution by the operating system for the amount of time specified. This method changes the state of the thread to include .

  The value of is negative and is not equal to milliseconds, or is greater than milliseconds. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Void

  Causes the operating system to consider the thread ready to be scheduled for execution.

  Calling removes the state from the of the thread.

  Once a thread is started, the operating system can schedule it for execution. When the thread begins executing, the delegate supplied to the constructor for the thread invokes its methods.

  Once the thread terminates, it cannot be restarted with another call to .

  There is not enough memory available to start the thread. This method was invoked on a thread reference. The thread has already been started.

  The following example demonstrates creating a thread and starting it.

  `using System; using System.Threading; public class ThreadWork { public static void DoWork() { for (int i = 0; i<3;i++) { Console.WriteLine ("Working thread ..."); Thread.Sleep(100); } } } class ThreadTest{ public static void Main() { ThreadStart myThreadDelegate = new ThreadStart(ThreadWork.DoWork); Thread myThread = new Thread(myThreadDelegate); myThread.Start(); for (int i = 0; i<3; i++) { Console.WriteLine("In main."); Thread.Sleep(100); } } }`

  One possible set of output is

  In main.

  Working thread ...

  In main.

  Working thread ...

  In main.

  Working thread ...

  Note that the sequence of the output statements is not guaranteed to be identical across systems.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("")
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Threading.ThreadState

  Gets a value containing the states of the current thread.

  A combination of one or more values, which indicate the state of the current thread.

  This property is read-only.

  A thread is running if the value returned by this property does not include and does not include .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Byte `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Double `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int16 `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int64 `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.IntPtr `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  1
  RuntimeInfrastructure
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.SByte `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Single `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.UInt16 `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt32 `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UIntPtr `` A reference to a that specifies the address in memory from which to read.

  Performs a volatile read from the specified address.

  A containing the value at the specified address after any pending writes.

  The value at the given address is atomically loaded with acquire semantics, meaning that the read is guaranteed to occur prior to any references to memory that occur after the execution of this method in the current thread. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the load CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  1
  RuntimeInfrastructure
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Void `` `` A reference to a that specifies the address in memory at which to write. A that specifies the value to write.

  Performs a volatile write to the specified address.

  The value is written atomically to the specified address with release semantics, meaning that the write is guaranteed to happen after any references to memory that occur prior to the execution. It is recommended that and be used in conjunction. Calling this method affects only this single access; other accesses to the same location are required to also be made using this method or if the volatile semantics are to be preserved. This method has exactly the same semantics as using the volatile prefix on the store CIL instruction, except that atomicity is provided for all types, not just those 32 bits or smaller in size. For additional information, see Partition I of the CLI Specification.

  1
  RuntimeInfrastructure
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
0 System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._Thread)) System.Runtime.InteropServices.ComVisible(true)